Module tdlight.api
Package it.tdlight.jni

# Class TdApi.ChatEventMemberRestricted

java.lang.Object
it.tdlight.jni.TdApi.Object
it.tdlight.jni.TdApi.ChatEventAction
it.tdlight.jni.TdApi.ChatEventMemberRestricted

Enclosing class:
  TdApi

public static final class TdApi.ChatEventMemberRestricted extends TdApi.ChatEventAction
A chat member was restricted/unrestricted or banned/unbanned, or the list of their restrictions has changed.

## Field Summary

Fields
Modifier and Type
Field
Description
`static final int`
`CONSTRUCTOR`
`TdApi.MessageSender`
`memberId`
Affected chat member identifier.
`TdApi.ChatMemberStatus`
`newStatus`
New status of the chat member.
`TdApi.ChatMemberStatus`
`oldStatus`
Previous status of the chat member.

## Constructor Summary

Constructors
Constructor
Description
`ChatEventMemberRestricted()`
A chat member was restricted/unrestricted or banned/unbanned, or the list of their restrictions has changed.
`ChatEventMemberRestricted(TdApi.MessageSender memberId, TdApi.ChatMemberStatus oldStatus, TdApi.ChatMemberStatus newStatus)`
A chat member was restricted/unrestricted or banned/unbanned, or the list of their restrictions has changed.
`ChatEventMemberRestricted(DataInput input)`
A chat member was restricted/unrestricted or banned/unbanned, or the list of their restrictions has changed.

## Method Summary

Modifier and Type
Method
Description
`boolean`
`equals(Object o)`
`int`
`getConstructor()`
`int`
`hashCode()`
`void`
`serialize(DataOutput output)`

### Methods inherited from class it.tdlight.jni.TdApi.Object

`serialize, toString`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

## Field Details

### memberId

public TdApi.MessageSender memberId
Affected chat member identifier.

### oldStatus

public TdApi.ChatMemberStatus oldStatus
Previous status of the chat member.

### newStatus

public TdApi.ChatMemberStatus newStatus
New status of the chat member.

### CONSTRUCTOR

public static final int CONSTRUCTOR

See Also:
  - Constant Field Values

## Constructor Details

### ChatEventMemberRestricted

public ChatEventMemberRestricted()
A chat member was restricted/unrestricted or banned/unbanned, or the list of their restrictions has changed.

### ChatEventMemberRestricted

public ChatEventMemberRestricted(TdApi.MessageSender memberId, TdApi.ChatMemberStatus oldStatus, TdApi.ChatMemberStatus newStatus)
A chat member was restricted/unrestricted or banned/unbanned, or the list of their restrictions has changed.

Parameters:
  `memberId` - MessageSender Affected chat member identifier.
  `oldStatus` - ChatMemberStatus Previous status of the chat member.
  `newStatus` - ChatMemberStatus New status of the chat member.

### ChatEventMemberRestricted

public ChatEventMemberRestricted(DataInput input) throws IOException
A chat member was restricted/unrestricted or banned/unbanned, or the list of their restrictions has changed.

Throws:
  `IOException`

## Method Details

### getConstructor

public int getConstructor()

Specified by:
  `getConstructor` in class `TdApi.Object`

### serialize

public void serialize(DataOutput output) throws IOException

Specified by:
  `serialize` in class `TdApi.Object`
Throws:
  `IOException`

### equals

public boolean equals(Object o)

Overrides:
  `equals` in class `Object`

### hashCode

public int hashCode()

Overrides:
  `hashCode` in class `Object`